%Confronto
fi=1.52;
w=2*pi*f;




%Risultati del Fitting:
Kt=62.2;
T1=200;
Ks=52.3;
T2=9.2;
Ku=11.5;
Tu=53.7;

t=t-5;

Is=Ks*exp(-t./T2);
It=Kt*exp(-t./T1);
Iu=Ku*exp(-t./Tu);

i=(Is+It+Ireg).*sin(w*t/1000+fi)+Iu;

figure;
plot(tc0+tc(1),Ic,'ok');
title('Confronto dei Picchi con il Modello','FontWeight','bold');
hold on;
plot(tm0+tc(1),Im,'ok');
plot(t+tc(1),i);
xlabel('Tempo [ms]');
ylabel('Corrente di Fase [A]');
axis([0 900 -100 160]);
hold off;


figure;
plot(t,Is,'r','LineWidth',2);
title('Componenti del Modello','FontWeight','bold');
hold on;
plot(t,It,'b','LineWidth',2);
plot(t,Iu,'m','LineWidth',2);
line([0 120],[Ireg Ireg],'Color','k','LineWidth',2);
text(10,40,'Subtransitoria');
text(40,65,'Transitoria');
text(80,10,'Unidirezionale');
text(40,20,'di Regime');
xlabel('Tempo [ms]');
ylabel('Corrente di Fase [A]');
axis([0 120 -10 80]);
grid on;
hold off;